summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2022-01-17 10:24:48 -0800
committerZac Medico <zmedico@gentoo.org>2022-01-17 10:25:03 -0800
commit40de39ab68c9fd3d6a95a1b07854355b57317ac7 (patch)
treebccfd46674d8ec85e1088707cc0b7fe48ad97b1d /app-containers/cri-tools/cri-tools-1.23.0.ebuild
parentsci-mathematics/minisat: drop old 2.2.0_p20130925 version (diff)
downloadgentoo-40de39ab68c9fd3d6a95a1b07854355b57317ac7.tar.gz
gentoo-40de39ab68c9fd3d6a95a1b07854355b57317ac7.tar.bz2
gentoo-40de39ab68c9fd3d6a95a1b07854355b57317ac7.zip
app-containers/cri-tools: Bump to version 1.23.0
Package-Manager: Portage-3.0.30, Repoman-3.0.3 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Diffstat (limited to 'app-containers/cri-tools/cri-tools-1.23.0.ebuild')
-rw-r--r--app-containers/cri-tools/cri-tools-1.23.0.ebuild34
1 files changed, 34 insertions, 0 deletions
diff --git a/app-containers/cri-tools/cri-tools-1.23.0.ebuild b/app-containers/cri-tools/cri-tools-1.23.0.ebuild
new file mode 100644
index 00000000000..0a580bdda11
--- /dev/null
+++ b/app-containers/cri-tools/cri-tools-1.23.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit bash-completion-r1 go-module
+
+DESCRIPTION="CLI and validation tools for Kubelet Container Runtime (CRI)"
+HOMEPAGE="https://github.com/kubernetes-sigs/cri-tools"
+SRC_URI="https://github.com/kubernetes-sigs/cri-tools/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="dev-lang/go"
+
+RESTRICT+=" test"
+
+src_compile() {
+ emake VERSION="${PV}"
+ ./build/bin/crictl completion bash > "${PN}.bash" || die
+ ./build/bin/crictl completion zsh > "${PN}.zsh" || die
+}
+
+src_install() {
+ dobin ./build/bin/crictl
+
+ newbashcomp ${PN}.bash ${PN}
+ insinto /usr/share/zsh/site-functions
+ newins ${PN}.zsh _${PN}
+
+ dodoc -r docs {README,RELEASE,CHANGELOG,CONTRIBUTING}.md
+}